ED Forums - View Profile: jackjose
 


Notices

jackjose jackjose is offline

Junior Member

Visitor Messages

Showing Visitor Messages 1 to 1 of 1
  1. jackjose
    05-19-2018 12:16 AM
    jackjose
    I have open beta 2.5 everything works great do I need to replace it
    with 2.5 stable version
    In the new modules for the Hornet and Persian Gulf in the system requirement it states that you only need the stable version of 2.5 do I need to delete the open beta version and instal the stable version of 2.5

Statistics

Total Posts
Visitor Messages
General Information
  • Last Activity: 05-22-2018 09:38 PM
  • Join Date: 01-28-2018
  • Referrals: 0
All times are GMT. The time now is 12:27 AM. vBulletin Skin by ForumMonkeys. Powered by vBulletin®.
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.